// pages/logisticsInfo/logisticsInfo.js

var http = require('../../utils/http.js');
var config = require('../../utils/config.js');

Page({

  /**
   * 页面的初始数据
   */
  data: {
    orderNumber: '', //运单编号
    isCurrent: 0, //当前nav
    package: [], //包裹集合信息
  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function (options) {
    
    wx.showLoading();
    var params = {
      url: `/p/myDelivery/orderInfo/${options.orderNumber}`,
      method: "GET",
      callBack: res => {
        wx.hideLoading();
        this.setData({
          package: res, //包裹集合信息
        })
      }
    };
    http.request(params);
  },


  /**
   * nav切换
   */
  navChange: function (e) {
    let sts = e.currentTarget.dataset.sts
    this.setData({
      isCurrent: sts
    })
  },

  // 一键复制事件
  copyBtn: function () {
    wx.setClipboardData({
      data: this.data.package[this.data.isCurrent].deliveryDto.dvyFlowId, //运单编号
      success (res) {
        wx.showToast({
          title: '复制成功',
        });
      }
    })
  },

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function () {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function () {

  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide: function () {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload: function () {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh: function () {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom: function () {

  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage: function () {

  }
})